/**
 * Stuff that all nodes and branches in the
 * sound tree know.
 **/
abstract public class CollectableNode extends LLNode {
  
  /**
   * Play the list of sound elements
   * after me
   **/
  public void playFromMeOn(){
    this.collect().play();
  }
  
  /** 
   * Collect all the sounds from me on
   **/
  abstract public Sound collect();
  
  /** 
   * Collect all the sounds from me on,
   * but if there's processing, do it after.
   **/
  abstract public Sound collectAfter();


}
    
